package nft.transfer;

public class TransferResult {
    int taskStatus;
    String taskMsg;
    String txHash;
    long chainTimestamp;

    public TransferResult() {
    }

    public TransferResult(int taskStatus, String taskMsg, String txHash, long chainTimestamp) {
        this.taskStatus = taskStatus;
        this.taskMsg = taskMsg;
        this.txHash = txHash;
        this.chainTimestamp = chainTimestamp;
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTaskMsg() {
        return taskMsg;
    }

    public void setTaskMsg(String taskMsg) {
        this.taskMsg = taskMsg;
    }

    public String getTxHash() {
        return txHash;
    }

    public void setTxHash(String txHash) {
        this.txHash = txHash;
    }

    public long getChainTimestamp() {
        return chainTimestamp;
    }

    public void setChainTimestamp(long chainTimestamp) {
        this.chainTimestamp = chainTimestamp;
    }
}
